@charset "UTF-8";

body {
    width: 100%;
    /*overflow-x: hidden;*/
    font-family: "游ゴシック体", YuGothic, "游ゴシック Medium", "Yu Gothic Medium", "游ゴシック", "Yu Gothic", sans-serif;
    margin: 0;
    text-align: justify;
line-break: strict;
overflow-wrap: break-word;
word-wrap: break-word;
-webkit-text-size-adjust: 100%;
text-justify:inter-ideograph;
}

    img {
        max-width: 100%;
        height: auto;
    }

sup,sub{
	font-size:11.5px;
	    line-height: 0;
}

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
    
    
    .header_bg {
        background: #EFEFEF;
        box-sizing: border-box;
    }
    .header_wrap {
        position: relative;
        text-align: center;
        margin: 0 auto;
        width: 100%;
        max-width: 945px;
        padding: 2.535vw 0;
        box-sizing: border-box;
    }
    .header_logo {
        display: inline-block;
        width: 38.548vw;
    }
    .header_logo img {
        width: 100%;
    }
    .header_pr {
        display: inline-block;
        font-size: 0;
        position: absolute;
    	top: 50%;
    	right: 15px;
    	transform: translateY(-50%);
    	-webkit-transform: translateY(-50%);
    	-ms-transform: translateY(-50%);
    	width: 8.585%;
    }
    .header_pr img {
        width: 100%;
    }
    
    
    @media screen and (min-width: 440px) {
        .header_wrap {
            padding: 10px 0;
        }
        .header_logo {
            width: 179.598px;
        }
        .header_pr {
            width: 40px;
        }
    }
    
    
    @media screen and (min-width: 640px) {
        .header_logo {
            width: 210px;
        }
        .header_wrap {
            padding: 9.55px 0;
        }
    }
    
    
    
    .ft_line {
        display: inline-block;
        width: 100%;
        height: 1px;
        background: #cdcdcd;
        border: none;
    }
    
    
    
    
/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

    
    .pcfv_all_wrap {
        display: none;
    }
    .spfv_bg {
        font-size: 0;
    }
    .spfv_txt_bg {
        background: #7AAAB3;
        padding: 20px 30px 12px;
    }
    .spfv_txt1 {
        margin: 0 0 16px;
        font-size: 14px;
        font-weight: 600;
        color: #FFF;
    }
    .spfv_txt2 {
        font-size: 9px;
        font-weight: 500;
        color: #FFF;
        position: relative;
        padding: 0 0 0 3em;
    }
    .spfv_txt2 .-km {
        position: absolute;
        left: 0;
        top: 0;
    }
    @media screen and (min-width: 640px) {
        .spfv_bg, .spfv_txt_bg {
            display: none;
        }
	sup,sub{
	font-size:13px;
	}
        .pcfv_all_wrap {
            display: block;
            overflow: hidden;
        }
        .pcfv_bg {
            background-image: url(bg.jpg);
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
        }
        .pcfv_wrap {
            position: relative;
            margin: 0 auto;
            max-width: 1280px;
            font-size: 0;
        }
        .pcfv_name1 {
            display: inline-block;
            font-size: 0;
            position: absolute;
        }
        .pcfv_name1 {
            width: 20.5%;
            right: .7%;
            bottom: 2.5%;
        }
        .pcfv_h { /*共通クラス*/
            position: absolute;
            display: inline-block;
            font-size: 0;
            z-index: 5;
        }
        .pcfv_h_in { /*共通クラス*/
            display: inline-block;
            font-size: 0;
            position: relative;
            z-index: 5;
        }
        .pcfv_h1 {
            width: 35.62%;
            left: 3%;
            top: 20%;
        }
        .pcfv_h2 {
            width: 25.93%;
            left: 3%;
            top: 29.7%;
        }
        .pcfv_h3 {
            width: 47.11%;
            left: 3%;
            top: 39.5%;
        }
        .pcfv_h_bg { /*共通クラス*/
            position: absolute;
            width: 999vw;
            height: 8.364%;
            mix-blend-mode: multiply;
            display: inline-block;
            background-image: url(skew.png);
            background-position: right top;
            background-repeat: no-repeat;
        }
        .pcfv_h_bg1 {
            right: 57%;
            top: 18%;
        }
        .pcfv_h_bg2 {
            right: 67%;
            top: 28%;
        }
        .pcfv_h_bg3 {
            right: 45%;
            top: 38%;
        }
        .br1 {
            display: none;
        }
        .pcfv_obtxt_wrap {
            position: relative;
            z-index: 5;
        }
        .pcfv_obtxt {
            position: relative;
            margin: -11% auto 0;
            max-width: 1413px;
            font-size: 0;
        }
        /*----- アニメーション付与 -----*/
        .fadein {
            animation: 5s fadein;
        }
        @keyframes fadein {
            0% {
                opacity: 0;
            }
            100% {
                opacity: 1;
            }
        }
        .slidein_1 {
            animation: 3s slidein_1;
        }
        @keyframes slidein_1 {
            0% {
                transform: translateX(-100px);
                opacity: 0;
            }
            100% {
                transform: translateX(0px);
                opacity: 1;
            }
        }
        .slidein_2 {
            animation: 3.5s slidein_2;
        }
        @keyframes slidein_2 {
            0% {
                transform: translateX(-100px);
                opacity: 0;
            }
            14% {
                transform: translateX(-100px);
                opacity: 0;
            }
            100% {
                transform: translateX(0px);
                opacity: 1;
            }
        }
        .slidein_3 {
            animation: 4s slidein_3;
        }
        @keyframes slidein_3 {
            0% {
                transform: translateX(-100px);
                opacity: 0;
            }
            25% {
                transform: translateX(-100px);
                opacity: 0;
            }
            100% {
                transform: translateX(0px);
                opacity: 1;
            }
        }
        .slidein_skew_1 {
            animation: 3s slidein_skew_1;
        }
        @keyframes slidein_skew_1 {
            0% {
                transform: translateX(-100px);
                opacity: 0;
            }
            100% {
                transform: translateX(0px);
                opacity: 1;
            }
        }
        .slidein_skew_2 {
            animation: 3.5s slidein_skew_2;
        }
        @keyframes slidein_skew_2 {
            0% {
                transform: translateX(-100px);
                opacity: 0;
            }
            14% {
                transform: translateX(-100px);
                opacity: 0;
            }
            100% {
                transform: translateX(0px);
                opacity: 1;
            }
        }
        .slidein_skew_3 {
            animation: 4s slidein_skew_3;
        }
        @keyframes slidein_skew_3 {
            0% {
                transform: translateX(-100px);
                opacity: 0;
            }
            25% {
                transform: translateX(-100px);
                opacity: 0;
            }
            100% {
                transform: translateX(0px);
                opacity: 1;
            }
        }
    }
    @media screen and (min-width: 1280px) {
        .pcfv_txtarea_img1 {
            position: absolute;
            font-size: 0;
            width: 2015.5px;
            top: -147.3264px;
            right: 54.5%;
            display: inline-block;
        }
        .br1 {
            display: inline;
        }
        .pcfv_txtarea_txt1 {
            margin-top: -160px;
        }
    }
    @media screen and (min-width: 1413px) {
        .pcfv_obtxt {
            margin-top: -148px;
        }
        .pcfv_obtxt::before, .pcfv_obtxt::after {
            content: "";
            display: inline-block;
            width: 100vw;
            background: #7DB0B9;
            position: absolute;
            bottom: 0;
        }
        .pcfv_obtxt::before {
            left: 2px;
            transform: translateX(-100%);
            -webkit-transform: translateX(-100%);
        	-ms-transform: translateX(-100%);
        	height: 100%;
        }
        .pcfv_obtxt::after {
            right: 2px;
            transform: translateX(100%);
            -webkit-transform: translateX(100%);
        	-ms-transform: translateX(100%);
        	height: 183px;
        }
    }
    
    
    
    
    
    
    .main_wrap1 {
        overflow: hidden;
        padding: 30px 0 0;
    }
    .block1_wrap {
        padding: 0 20px 25px;
        margin: 0 auto;
        max-width: 900px;
    }
    .block1_h {
        text-align: center;
        font-size: 24px;
        margin: 45px 0;
        position: relative;
        padding: 0;
    }
    .block1_h::before {
        content: "";
        background-image: url(img2.png);
        background-position: center bottom;
        background-size: contain;
        background-repeat: no-repeat;
        width: 100%;
        max-width: 155px;
        height: 143px;
        display: inline-block;
        position: absolute;
        top: 50%;
    	left: 50%;
    	transform: translate(-50%, -50%);
    	-webkit-transform: translate(-50%, -50%);
    	-ms-transform: translate(-50%, -50%);
    }
    .block1_in {
        position: relative;
        z-index: 5;
    }
    .prof_wrap {
        margin-bottom: 40px;
    }
    .prof {
        width: 100%;
        max-width: 300px;
        margin: 0 auto;
        text-align: center;
        position: relative;
        background: #8BB5BD;
    }
    .prof_img {
        font-size: 0;
        position: relative;
    }
    .prof.-ver1 .prof_ct {
        background: #8BB5BD;
    }
    .prof_ct {
        position: relative;
        padding: 16px 10px 20px;
        color: #FFF;
    }
    .prof_ct::before {
        content: "";
        position: absolute;
        left: 0;
        bottom: 0;
        width: 107px;
        height: 107px;
        background-image: url(prof-parts.png);
        background-size: contain;
        background-position: left bottom;
        background-repeat: no-repeat;
    }
    .prof_ct::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: 8px;
        width: 100%;
        height: 3px;
        background: #E9F4CB;
    }
    .prof_txt1 {
        font-size: 14px;
        font-weight: 600;
        line-height: 18px;
        margin: 0 0 10px;
    }
    .prof_txt2 {
        font-size: 22px;
        font-weight: 600;
        line-height: 25px;
        margin: 0;
    }
    .prof_txt2 .-honor {
        font-size: 15px;
    }
    .article_txt1 {
        font-weight: 600;
        line-height: 1.72;
        margin: 0 0 20px;
    }
    .article_txt2 {
        line-height: 1.72;
        margin: 0 0 20px;
    }
	
	    .article_txt2_2 {
display: block;
    text-align: left;
}

	
    .article_txt3 {
        font-size: 13px;
        margin: 0 0 20px;
        position: relative;
        padding-left: 31px;
    }
    .article_txt3 .-km {
        position: absolute;
        left: 0;
        top: 0;
    }
    @media screen and (min-width: 640px) {
		  .main_wrap1 {
        overflow: hidden;
        padding: 40px 0 0;
    }
	    .block1_wrap {
			padding-bottom:60px;
		}
        .br-sp {
            display: none;
        }
        .block1_h {
            font-size: 28px;
            line-height: 35px;
            margin: 83px 0;
        }
        .prof_wrap {
            width: 300px;
            margin: 0 50px 40px 0;
            float: left;
        }
        .article_txt1 {
            font-size: 18px;
        }
        .article_txt2 {
            font-size: 18px;
        }
        .prof_wrap.-re {
            float: right;
            margin-left: 50px;
            margin-right: 0;
            margin-bottom: 30px;
        }
    }
    
    
    .block4_wrap {
        background: #E9F4CB;
        text-align: center;
        margin: 0 0 60px;
        padding: 40px
    }
    .block4_in {
        margin: 0 auto;
        max-width: 1000px;
    }
    .block4_txt1 {
        margin: 0 0 10px;
        font-weight: 600;
    }
    .block4_txt2 {
        margin: 0 0 20px;
    }
    .block4_txt2 a {
        font-weight: 600;
        color: #7E223E;
    }
    .block4_flex {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    .block4_flexbox {
        font-size: 0;
        width: 32%;
        background: #FFF;
    }
    .block4_flexbox img {
        transition: .5s;
    }
    .block4_flexbox:hover img {
        opacity: .5;
    }
    @media screen and (min-width: 640px) {
        .block4_txt1 {
            font-size: 25px;
        }
        .block4_txt2 {
            font-size: 18px;
        }
    }
    
    
    .block2_wrap {
        background: #E9F4CB;
        padding: 30px 0;
        margin-bottom: 80px;
    }
	.block2_wrap_2 {
	    padding: 40px 0;
	    margin-bottom: 40px;
	}
    .block2_in {
        margin: 0 auto;
        max-width: 700px;
        padding: 0 20px;
    }
    .block2_in_2 {
        max-width: 920px;
    }
    .block2_img1 {
        font-size: 0;
        margin: 0 0 10px;
    }
    .block2_img1_2 {
        margin: 0;
    }
    .block2_txt1 {
        margin: 0 0 5px;
        font-size: 20px;
        font-weight: 600;
        text-align: center;
    }
    .block2_txt2 {
        margin: 0;
        font-size: 18px;
        font-weight: 600;
        text-align: center;
    }
    .block1_normal {
        margin-bottom: 20px;
    }
    .block1_photo {
        text-align: center;
		margin: 80px 0;
    }
    .block1_photo_img1 {
        font-size: 0;
        margin: 0 0 15px;
    }
    .block1_photo_img1 img {
        width: 610px;
    }
    .block1_photo_txt1 {
        margin: 0;
        font-size: 14px;
    }
    @media screen and (min-width: 640px) {
        .block1_photo_txt1 {
            font-size: 18px;
        }
    }
    
    
    .link1_bg {
        background: #E9F4CB;
        margin: 0 0 50px;
    }
    .link1_wrap {
        text-align: center;
        position: relative;
        padding: 0 0 18px;
    }
    .link1_h {
        font-size: 0;
        transform: translateY(-50%);
    	-webkit-transform: translateY(-50%);
    	-ms-transform: translateY(-50%);
    }
    .link1_h img {
        width: 300px;
    }
    .link1_flex {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    .link1_flexbox {
        width: 50%;
    }
    .link1_flexbox_h {
        font-size: 0;
        margin-bottom: 2%;
    }
    .link1_flex div:nth-child(3),.link2_flex div:nth-child(3),.link2_flex div:nth-child(4) {
        margin-top: 15px;
    }
.link1_flexbox_h img {
        width: 80%;
    }
    .link1_btn {
        font-size: 0;
        position: relative;
    }
    .link1_btn img {
        width: 100%;
    }
    .link1_btn a .link1_btn_txt {
        transition: .5s;
    }
    .link1_btn a:hover .link1_btn_txt {
        opacity: .3;
    }
    .hover-none {
        pointer-events: none;
    }
    img.link1_btn_txt {
        position: absolute;
        top: 46%;
    	left: 50%;
    	transform: translate(-50%, -50%);
    	-webkit-transform: translate(-50%, -50%);
    	-ms-transform: translate(-50%, -50%);
    	z-index: 5;
    }
    img.link1_btn_txt1 {
        width: 63%;
    }
    img.link1_btn_txt2 {
        width: 80%;
    }
    img.link1_btn_txt3 {
        width: 67%;
    }
    img.link1_btn_txt4 {
        width: 75%;
    }
    @media screen and (min-width: 640px) {
        .link1_h img {
            width: 490px;
        }
        .link1_wrap {
            padding-bottom: 36px;
        }
        .link1_flex {
            margin: 0 auto;
            max-width: 980px;
        }
        .link1_flexbox_h {
            margin-bottom: 0;
        }
        .link1_flex div:nth-child(3),.link2_flex div:nth-child(3) {
            margin-top: 15px;
        }
            .link1_flexbox_h img {
            width: 235px;
        }
        .link1_flexbox {
            width: 49%;
        }
        .link1_btn {
            margin-bottom: -4%;
        }
        img.link1_btn_txt3 {
            width: 65%;
        }
    }
    
    
    .link2_wrap {
        padding: 80px 10px;
        text-align: center;
    }
    .link2_cts {
        margin: 0 auto;
        position: relative;
        background: #7DB0B9;
        border-radius: 15px;
        padding: 0 20px 4px;
        max-width: 1108px;
    }
    .link2_flex {
        display: flex;
        flex-direction: column;
    }
    .link2_flexbox {
        margin-bottom: 24px;
    }
    .link2_h {
        font-size: 0;
        transform: translateY(-50%);
    	-webkit-transform: translateY(-50%);
    	-ms-transform: translateY(-50%);
    }
    .link2_h img {
        width: 300px;
    }
    .link2_flexbox_h {
        font-size: 0;
        margin-bottom: 10px;
    }
    .link2_flexbox_h img {
            height: 28px;
    }
    .link2_btn {
        font-size: 0;
        position: relative;
        background: #fff;
    }
    .link2_btn_txt {
        position: absolute;
        top: 0%;
    	right: 0%;
    	z-index: 5;
    	height: 100%;
    	width: auto;
    }
    .link2_btn a .link2_btn_txt {
        transition: .5s;
    }
    .link2_btn a:hover .link2_btn_txt {
        opacity: .3;
    }
    @media screen and (min-width: 640px) {
        .link2_wrap {
            padding: 100px 0;
        }
        .link2_h img {
            width: 490px;
        }
        .link2_cts {
            padding: 0 60px 40px;
            box-sizing: border-box;
        }
        .link2_flex {
            flex-direction: row;
            justify-content: space-between;
            flex-wrap: wrap;
        }
        .link2_flexbox {
            width: 48%;
            margin: 0;
        }
        .link2_flexbox_h img {
            height: 38px;
        }
        .link1_flex div:nth-child(3),.link2_flex div:nth-child(3),.link2_flex div:nth-child(4),.link2_flex div:nth-child(5),.link2_flex div:nth-child(6) {
            margin-top: 15px;
        }
        /*.link2_flex div:nth-child(1){
            order: 0;
        }
        .link2_flex div:nth-child(2){
            order: 1;
        }
        .link2_flex div:nth-child(3){
            order: 2;
        }
        .link2_flex div:nth-child(4){
            order: 3;
        }*/
    }
    
    
    .block3_title{
        font-weight: bold;
        font-size: 18px;
        text-align: center;
    }
    .block3_bg {
        background: #EDF3EA;
        border: 7px solid #6B9C40;
        border-width: 7px 0;
		margin-top: 35px;
    }
	@media screen and (min-width: 640px) {
    .block3_bg {
		margin-top: 0px;
    }
    }
    .block3_wrap {
        padding: 45px 20px;
        margin: 0 auto;
        max-width: 1000px;
    }
    .block3_txt1 {
        margin: 0 0 35px;
        line-height: 1.72;
    }
    .block3_txt1 a {
        font-weight: 600;
        color: #7E223E;
    }
    .block3_txt2 {
        font-weight: 600;
        line-height: 1.458;
        font-size: 24px;
        margin: 0 auto 22px;
    }
    .block3_txt3 {
        margin-bottom: 10px;
        line-height: 1.538;
        font-weight: 600;
        text-align: center;
    }
    .block3_txt4 {
        font-weight: 600;
        margin: 0 0 15px;
        color: #972429;
        font-size: 24px;
		text-align: center;
    }
    .block3_txt5{
        font-size: 13px;
        text-align: center;
        margin: 0 0 35px;
    }
    .block3_txt5 a{
        text-decoration: none;
        color: #000;
    }
    .block3_img1{
        text-align: center;
        margin: 0;
    }
    .block3_img1 img{
        vertical-align:top;
        width: 415px;
    }

    @media screen and (min-width: 900px) {
				    .article_txt2_2 {
        text-align:justify;
    }
	    .block3_wrap {
        text-align: center;
    }
        .block3_txt1 {
            font-size: 18px;
        }
        .block3_txt2{
            width: 920px;
        }
    }
    .fc_bg {
        background: #E9F4CB;
        margin: 0 0 40px;
    }
    .fc_wrap {
        padding: 70px 20px 50px;
        margin: 0 auto;
        max-width: 900px;
        text-align: center;
        position: relative;
    }
    .fc_img1 {
        font-size: 0;
        margin: 0 0 20px;
    }
    .fc_img1 img {
        width: 338px;
    }
    .fc_btn {
        font-size: 0;
        margin: 0;
    }
    .fc_btn a {
        display: inline-block;
        width: 100%;
        max-width: 315px;
        box-shadow: 0 0 7px rgba(0,0,0,.1);
        border-radius: 999px;
    }
    .fc_btn1 {
        margin-bottom: 48px;
    }
    .fc_img2 {
        font-size: 0;
        margin: 0 0 20px;
        mix-blend-mode: multiply;
    }
    .fc_img2 img {
        width: 258px;
    }
    .fc_txt1 {
        font-weight: 600;
        font-size: 18px;
        margin: 0 0 10px;
    }
    .fc_txt2 {
        font-size: 16px;
        margin: 0 0 42px;
    }
    .fc_txt3 {
        font-size: 13px;
        margin: 70px 0 30px;
    }
    
    
    .table1_wrap {
        overflow-x: scroll;
        padding: 0 0 8px;
    }
    .is_box {
        width: 750px;
        background: #FFF;
        position: relative;
        overflow: hidden;
        text-align: left;
        padding: 20px 30px 0;
    }
    .is_txt1 {
        position: relative;
        margin: 0 0 12px;
		    display: inline-block;
    background: #EDF3EA;
    padding: 1px 12px 1px 0;
    }
.is_txt1::before {
        content: "";
        position: absolute;
        width: 30px;
        height: 100%;
        background: #EDF3EA;
        top: 0;
        left: -30px;
    }
    .is_txt1_in {
        position: relative;
        z-index: 5;
        font-weight: bold;
        font-size: 18px;
        color: #941D3D;
    }
    .is_txt2 {
        font-size: 13px;
        margin: 0 0 5px;
        position: relative;
    }
    .is_txt2_icon {
        padding-right: 40px;
    }
    .is_txt3 {
        font-size: 15px;
        font-weight: 600;
        position: relative;
        margin: 0 0 22px;
        max-width: 600px;
    }
    .is_txt3 .-icon {
        display: inline-block;
        vertical-align: middle;
        width: 20px;
        margin: 0 5px 5px 0;
    }
    .is_txt3 .-link {
        display: inline-block;
        font-size: 0;
        position: absolute;
        right: 0;
        bottom: 5px;
        width: 25px;
    }
    .is_txt2 .-link {
        display: inline-block;
        font-size: 0;
        position: absolute;
        right: 0;
        bottom: 5px;
        width: 25px;
    }
    @media screen and (max-width: 899px) {
        .br-pc {
            display: none;
        }
    }
    @media screen and (min-width: 900px) {
        .is_box {
            text-align: center;
            width: auto;
            margin: 0 auto;
            max-width: 900px;
        }
        .table1_wrap {
            overflow: visible;
            margin: 0 auto;
            width: 900px;
        }
        .is_txt1::before {
            display: none;
        }
        .is_txt1 {
            display: inline-block;
            background: #EDF3EA;
            padding: 1px 12px;
        }
        .is_txt3 {
            width: auto;
            max-width: 100%;
            display: inline-block;
        }
        .is_txt3 .-link {
            right: -45px;
        }
        .is_txt2_icon {
            padding: 0;
        }
        .is_txt2 .-link {
            right: 75px;
        }
    }
    
    
    .arrow_btn {
        font-size: 0;
        display: inline-block;
        width: 37px;
        position: fixed;
        right: 20px;
        bottom: 20px;
        z-index: 10;
    }
    .arrow_btn.arrow_btn_on {
        display: none!important;
    }
    @media screen and (min-width: 1200px) {
        .arrow_btn {
            right: auto;
            left: calc(50% + 550px);
        	transform: translateX(-50%);
        	-webkit-transform: translateX(-50%);
        	-ms-transform: translateX(-50%);
        }
    }
    
    
    /*----- アニメーション付与 -----*/
    .-article_fadein_tag {
        opacity: 0;
    }
    .article_fadein {
        animation: 3s article_fadein;
        opacity: 1;
    }
    @keyframes article_fadein {
        0% {
            opacity: 0;
        }
        100% {
            opacity: 1;
        }
    }
    
    .article_slidein_toright {
        animation: 1.5s article_slidein_toright;
    }
    @keyframes article_slidein_toright {
        0% {
            transform: translateX(-100px);
        }
        100% {
            transform: translateX(0);
        }
    }
    
    .article_slidein_toleft {
        animation: 1.5s article_slidein_toleft;
    }
    @keyframes article_slidein_toleft {
        0% {
            transform: translateX(100px);
        }
        100% {
            transform: translateX(0);
        }
    }
    
    .article_slidein_totop {
        animation: 1.5s article_slidein_totop;
    }
    @keyframes article_slidein_totop {
        0% {
            transform: translateY(100px);
        }
        100% {
            transform: translateX(0);
        }
    }
    
    
    



















